#include <EEPROM.h> // importáljuk az EEPROM könyvtárat

// legyen az olvasás kezdő címe 0
int address = 0;
byte value;


void setup()
{ 
  Serial.begin(9600); 
}

void loop()
{
  // value változóba töltsük be a címen található bájtot
  value = EEPROM.read(address);

  Serial.print(address); // nyomtassuk ki a címet
  Serial.print("\t"); // tabulátor
  Serial.print(value, DEC); // a kiolvasott bájt decimálisan kifejezve
  Serial.println(); // soremelés

  // növeljük eggyel a cím értékét
  address = address + 1;

  // az első 512 bájtot olvassuk, aztán ugorjunk az elejére
  if (address == 512)
    address = 0;

  delay(500);
}



